package com.platform.entities;

public class DefaultDataDescription {
	
	private String localNodeName = "Data";

	private String province;

	private String city;

	private String county;

	private String code;

	private String sys_name;

	private int sys_name_code;

	private String contact;

	private String phone;

	private String district_level;

	private String using_time;

	private String sys_version;

	private String sys_description;

	private String sys_developer;

	private String database;

	private String database_version;

	private String business_area_department_budget;

	private String business_area_budget_norm;

	private String business_area_budget_execution;

	private String business_area_overall_budget_account;

	private String business_area_final_settlement;

	private String business_area_statement;

	private String business_area_nontax_income;

	private String business_area_wage_issue;

	private String business_area_economic_projection;

	private String business_area_government_debet;

	/**
	 * @return the localNodeName
	 */
	public String getLocalNodeName() {
		return localNodeName;
	}

	/**
	 * @param localNodeName the localNodeName to set
	 */
	public void setLocalNodeName(String localNodeName) {
		this.localNodeName = localNodeName;
	}

	/**
	 * @return the province
	 */
	public String getProvince() {
		return province;
	}

	/**
	 * @param province the province to set
	 */
	public void setProvince(String province) {
		this.province = province;
	}

	/**
	 * @return the city
	 */
	public String getCity() {
		return city;
	}

	/**
	 * @param city the city to set
	 */
	public void setCity(String city) {
		this.city = city;
	}

	/**
	 * @return the county
	 */
	public String getCounty() {
		return county;
	}

	/**
	 * @param county the county to set
	 */
	public void setCounty(String county) {
		this.county = county;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the sys_name
	 */
	public String getSys_name() {
		return sys_name;
	}

	/**
	 * @param sys_name the sys_name to set
	 */
	public void setSys_name(String sys_name) {
		this.sys_name = sys_name;
	}

	/**
	 * @return the sys_name_code
	 */
	public int getSys_name_code() {
		return sys_name_code;
	}

	/**
	 * @param sys_name_code the sys_name_code to set
	 */
	public void setSys_name_code(int sys_name_code) {
		this.sys_name_code = sys_name_code;
	}

	/**
	 * @return the contact
	 */
	public String getContact() {
		return contact;
	}

	/**
	 * @param contact the contact to set
	 */
	public void setContact(String contact) {
		this.contact = contact;
	}

	/**
	 * @return the phone
	 */
	public String getPhone() {
		return phone;
	}

	/**
	 * @param phone the phone to set
	 */
	public void setPhone(String phone) {
		this.phone = phone;
	}

	/**
	 * @return the district_level
	 */
	public String getDistrict_level() {
		return district_level;
	}

	/**
	 * @param district_level the district_level to set
	 */
	public void setDistrict_level(String district_level) {
		this.district_level = district_level;
	}

	/**
	 * @return the using_time
	 */
	public String getUsing_time() {
		return using_time;
	}

	/**
	 * @param using_time the using_time to set
	 */
	public void setUsing_time(String using_time) {
		this.using_time = using_time;
	}

	/**
	 * @return the sys_version
	 */
	public String getSys_version() {
		return sys_version;
	}

	/**
	 * @param sys_version the sys_version to set
	 */
	public void setSys_version(String sys_version) {
		this.sys_version = sys_version;
	}

	/**
	 * @return the sys_description
	 */
	public String getSys_description() {
		return sys_description;
	}

	/**
	 * @param sys_description the sys_description to set
	 */
	public void setSys_description(String sys_description) {
		this.sys_description = sys_description;
	}

	/**
	 * @return the sys_develope
	 */
	public String getSys_developer() {
		return sys_developer;
	}

	/**
	 * @param sys_develope the sys_develope to set
	 */
	public void setSys_developer(String sys_develope) {
		this.sys_developer = sys_develope;
	}

	/**
	 * @return the database
	 */
	public String getDatabase() {
		return database;
	}

	/**
	 * @param database the database to set
	 */
	public void setDatabase(String database) {
		this.database = database;
	}

	/**
	 * @return the database_version
	 */
	public String getDatabase_version() {
		return database_version;
	}

	/**
	 * @param database_version the database_version to set
	 */
	public void setDatabase_version(String database_version) {
		this.database_version = database_version;
	}

	/**
	 * @return the business_area_department_budget
	 */
	public String getBusiness_area_department_budget() {
		return business_area_department_budget;
	}

	/**
	 * @param business_area_department_budget the business_area_department_budget to set
	 */
	public void setBusiness_area_department_budget(
			String business_area_department_budget) {
		this.business_area_department_budget = business_area_department_budget;
	}

	/**
	 * @return the business_area_budget_norm
	 */
	public String getBusiness_area_budget_norm() {
		return business_area_budget_norm;
	}

	/**
	 * @param business_area_budget_norm the business_area_budget_norm to set
	 */
	public void setBusiness_area_budget_norm(String business_area_budget_norm) {
		this.business_area_budget_norm = business_area_budget_norm;
	}

	/**
	 * @return the business_area_budget_execution
	 */
	public String getBusiness_area_budget_execution() {
		return business_area_budget_execution;
	}

	/**
	 * @param business_area_budget_execution the business_area_budget_execution to set
	 */
	public void setBusiness_area_budget_execution(
			String business_area_budget_execution) {
		this.business_area_budget_execution = business_area_budget_execution;
	}

	/**
	 * @return the business_area_overall_budget_account
	 */
	public String getBusiness_area_overall_budget_account() {
		return business_area_overall_budget_account;
	}

	/**
	 * @param business_area_overall_budget_account the business_area_overall_budget_account to set
	 */
	public void setBusiness_area_overall_budget_account(
			String business_area_overall_budget_account) {
		this.business_area_overall_budget_account = business_area_overall_budget_account;
	}

	/**
	 * @return the business_area_final_settlement
	 */
	public String getBusiness_area_final_settlement() {
		return business_area_final_settlement;
	}

	/**
	 * @param business_area_final_settlement the business_area_final_settlement to set
	 */
	public void setBusiness_area_final_settlement(
			String business_area_final_settlement) {
		this.business_area_final_settlement = business_area_final_settlement;
	}

	/**
	 * @return the business_area_statement
	 */
	public String getBusiness_area_statement() {
		return business_area_statement;
	}

	/**
	 * @param business_area_statement the business_area_statement to set
	 */
	public void setBusiness_area_statement(String business_area_statement) {
		this.business_area_statement = business_area_statement;
	}

	/**
	 * @return the business_area_nontax_income
	 */
	public String getBusiness_area_nontax_income() {
		return business_area_nontax_income;
	}

	/**
	 * @param business_area_nontax_income the business_area_nontax_income to set
	 */
	public void setBusiness_area_nontax_income(String business_area_nontax_income) {
		this.business_area_nontax_income = business_area_nontax_income;
	}

	/**
	 * @return the business_area_wage_issue
	 */
	public String getBusiness_area_wage_issue() {
		return business_area_wage_issue;
	}

	/**
	 * @param business_area_wage_issue the business_area_wage_issue to set
	 */
	public void setBusiness_area_wage_issue(String business_area_wage_issue) {
		this.business_area_wage_issue = business_area_wage_issue;
	}

	/**
	 * @return the business_area_economic_projection
	 */
	public String getBusiness_area_economic_projection() {
		return business_area_economic_projection;
	}

	/**
	 * @param business_area_economic_projection the business_area_economic_projection to set
	 */
	public void setBusiness_area_economic_projection(
			String business_area_economic_projection) {
		this.business_area_economic_projection = business_area_economic_projection;
	}

	/**
	 * @return the business_area_government_debet
	 */
	public String getBusiness_area_government_debet() {
		return business_area_government_debet;
	}

	/**
	 * @param business_area_government_debet the business_area_government_debet to set
	 */
	public void setBusiness_area_government_debet(
			String business_area_government_debet) {
		this.business_area_government_debet = business_area_government_debet;
	}
	
	public void setvalue(PreDataInfo pre){
		province = "江苏省";

		city = pre.getCityName();

		county = pre.getDistrictName();

		code = pre.getAreaCode();

		sys_name = pre.getSysName();

		sys_name_code = pre.getSysCode();

		contact = pre.getDepartmentManager();

		phone = pre.getManagerContacts();

		district_level = pre.getAreaLevel();

		using_time = pre.getBeginUseTime();

		sys_version = pre.getSysVersion();

		sys_description = pre.getFunctionDetails();

		sys_developer = pre.getDeveloperFullName();

		database = pre.getDataBaseType();

		database_version = pre.getDataBaseVersion();

		business_area_department_budget = pre.getDepartmentBudgetManage();

		business_area_budget_norm = pre.getBudgetQuotaManage();

		business_area_budget_execution = pre.getBudgetExecManage();

		business_area_overall_budget_account = pre.getTotalBudgetAccount();

		business_area_final_settlement = pre.getFinalAccountManage();

		business_area_statement = pre.getReportFormManage();

		business_area_nontax_income = pre.getNonTaxManage();

		business_area_wage_issue = pre.getWageSystem();

		business_area_economic_projection = pre.getAnalysisOfFinancialEconomicProsperity();

		business_area_government_debet = pre.getGovernmentDebtManage();
	}
}
